import Foundation
import App

abbrev = 'Constellation_TOS'
iconName = 'Constellation_TOS'
longName = 'Constellation TOS'
shipFile = 'Constellation_TOS' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
species = App.SPECIES_GALAXY

Foundation.ShipDef.Constellation_TOS = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu })

Foundation.ShipDef.Constellation_TOS.desc = "TOS Constellation\n\nThough mostly assembled from field tested and well-established Starship components and design standards of the time, the main feature of the Perseus class was a quad nacelle configuration which was made possible by the revolutionary design of locating warp core output injectors along the engine fairings which were designed to constrict and accelerate the plasma flow coming from the warp core and increase the efficiency of the drive. In field tests it was also found that much more control over the regulation of the plasma flow was attainable which allowed for the first stable quad nacelle starship configuration.\n\nThe ship was capable of sustaining Warp 8 for extended periods and was primarily used as a deep space explorer and emergency relief of colonies on the edges of Federation space.  The class was also used as an interceptor to ward off hostile ships encroaching on Federation space.  As such, the ship was well armed and shielded and featured two large cargo bays and repair facilities located on either side of the primary hull.  Her large impulse engines were located at the rear of the primary hull, split either side of the shuttle landing deck which gave the ship improved acceleration and maneuverability."

if menuGroup:           Foundation.ShipDef.Constellation_TOS.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.Constellation_TOS.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
